using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Telerik.Windows.Data;
using Telerik.Windows.Controls;
using System.Threading;
using System.Globalization;

namespace ChangeLanguageAtRuntime_WPF
{
	/// <summary>
	/// Interaction logic for MainWindow.xaml
	/// </summary>
	public partial class MainWindow : Window
	{
		public MainWindow()
		{						
			InitializeComponent();
			this.pagePresenter.Content = new UserControl1();
		}
		
		private void German_Click(object sender, RoutedEventArgs e)
		{
			Thread.CurrentThread.CurrentCulture = new CultureInfo("de");
			Thread.CurrentThread.CurrentUICulture = new CultureInfo("de");
			this.pagePresenter.Content = new UserControl1();
		}

		private void French_Click(object sender, RoutedEventArgs e)
		{
			Thread.CurrentThread.CurrentCulture = new CultureInfo("fr");
			Thread.CurrentThread.CurrentUICulture = new CultureInfo("fr");
			this.pagePresenter.Content = new UserControl1();
		}
	}
}
